<!-- This file was generated by pybib2web, version 0.7.dev0: https://gitlab.com/sosy-lab/software/pybib2web/ -->
<input type="checkbox" id="show-compact">
<label for="show-compact">Compact view</label>
<h2 id="publications">Publications of year 2005</h2>
<nav class="publication-navigation">(<a href="../All/index.html">Show all</a> &ndash; <a href="../index.html">Index</a>)</nav>

<a href="../Category/conferences.html"><h3>Articles in conference or workshop proceedings</h3></a>

<ol class="list-publications" start="1">

<li class="bibentry" id="ICSM05">
  <span class="main-info">
    <span class="author-list"><span class="author"><a href="../Author/BEYER-D.html"><span class="firstname">Dirk</span> <span class="lastname">Beyer</span></a></span>.</span>
    <span class="publication-title">Co-Change Visualization.</span>
    <span class="howpublished">
      In <em class="booktitle">  Proceedings of the 21st IEEE International Conference on
        Software Maintenance (ICSM 2005, Budapest, September 25-30),
        Industrial and Tool volume</em>,
      <span class="pages">pages 89-92</span>,
      <span class="publication-date">  <span class="year">2005</span></span>.
    </span>
  </span>
  <a class="bibentry-link" href="#ICSM05"><img height="12px" width="12px" src="https://www.sosy-lab.org/images/transparent.gif" alt="Link to this entry"></a>
  <span class="additional-info">
    <span class="inline-info">
      <span class="keyword-list">Keyword(s):
        <a class="keyword" href="../Keyword/STRUCTURAL-ANALYSIS-AND-COMPREHENSION.html">Structural Analysis and Comprehension</a>
      </span>
    </span>
    <span class="link-list">
      <a class="pdf-link" href="https://www.sosy-lab.org/research/pub/2005-ICSM.Co-Change_Visualization.pdf"><img alt="" height="17px" width="17px" src="https://www.sosy-lab.org/research/pub/Icons/pdf.gif">PDF</a>
      <a class="material-link" href="../../2005-ICSM.Co-Change_Visualization/main.html"><img alt="" height="15px" width="15px" src="https://www.sosy-lab.org/research/pub/Icons/www.gif">Supplement</a>
    </span>
    <details  class="abstract">
      <summary>Abstract</summary>
      <div>
        Clustering layouts of software systems combine two
        important aspects: they reveal groups of related
        artifacts of the software system, and they produce a
        visualization of the results that is easy to
        understand.  Co-change visualization is a lightweight
        method for computing clustering layouts of software
        systems for which the change history is available.
        This paper describes CCVisu, a tool that implements
        co-change visualization.  It extracts the co-change
        graph from a version repository, and computes a
        layout, which positions the artifacts of the software
        system in a two- or three-dimensional space.  Two
        artifacts are positioned closed together in the layout
        if they were often changed together.  The tool is
        designed as a framework, easy to use, and easy to
        integrate into reengineering environments; several
        formats for data interchange are already implemented.
        The graph layout is currently provided in VRML format,
        in a standard text format, or directly drawn on the
        screen.
      </div>
    </details>
    <details  class="bibtex">
      <summary>BibTeX Entry</summary>
      <div>
        @inproceedings{ICSM05,
        author = {Dirk Beyer},
        title = {Co-Change Visualization},
        booktitle = {Proceedings of the 21st IEEE International Conference on Software Maintenance (ICSM~2005, Budapest, September 25-30), Industrial and Tool volume},
        pages = {89-92},
        year = {2005},
        isbn = {963-460-980-5},
        url = {../../2005-ICSM.Co-Change_Visualization/main.html},
        pdf = {https://www.sosy-lab.org/research/pub/2005-ICSM.Co-Change_Visualization.pdf},
        abstract = {Clustering layouts of software systems combine two important aspects: they reveal groups of related artifacts of the software system, and they produce a visualization of the results that is easy to understand.  Co-change visualization is a lightweight method for computing clustering layouts of software systems for which the change history is available. This paper describes CCVisu, a tool that implements co-change visualization.  It extracts the co-change graph from a version repository, and computes a layout, which positions the artifacts of the software system in a two- or three-dimensional space.  Two artifacts are positioned closed together in the layout if they were often changed together.  The tool is designed as a framework, easy to use, and easy to integrate into reengineering environments; several formats for data interchange are already implemented. The graph layout is currently provided in VRML format, in a standard text format, or directly drawn on the screen.},
        keyword = {Structural Analysis and Comprehension},
        address = {Budapest},
        annote = {Tool Paper &lt;BR&gt; CCVisu is available at: &lt;a href=&quot;http://www.sosy-lab.org/~dbeyer/CCVisu/&quot;&gt; http://www.sosy-lab.org/~dbeyer/CCVisu&lt;/a&gt;},
        doinone = {DOI not available},
        }
        
      </div>
    </details>
    <details open class="annote">
      <summary>Additional Infos</summary>
      <div>
        
        Tool Paper <BR>
        CCVisu is available at:
        <a href="http://www.sosy-lab.org/~dbeyer/CCVisu/">
        http://www.sosy-lab.org/~dbeyer/CCVisu</a>
        
      </div>
    </details>
  </span>
</li>

<li class="bibentry" id="IWPC05">
  <span class="main-info">
    <span class="author-list"><span class="author"><a href="../Author/BEYER-D.html"><span class="firstname">Dirk</span> <span class="lastname">Beyer</span></a></span> and
    <span class="author"><span class="firstname">Andreas</span> <span class="lastname">Noack</span></span>.</span>
    <span class="publication-title">Clustering Software Artifacts
    Based on Frequent Common Changes.</span>
    <span class="howpublished">
      In <em class="booktitle">  Proceedings of the 13th IEEE International Workshop on
        Program Comprehension (IWPC 2005, St. Louis, MO, May 15-16)</em>,
      <span class="pages">pages 259-268</span>,
      <span class="publication-date">  <span class="year">2005</span></span>.
    </span>
    <span class="publisher">IEEE Computer Society Press, Los Alamitos (CA).</span>
    <a class="doi" href="https://doi.org/10.1109/WPC.2005.12" data-doi="10.1109/WPC.2005.12" title="The digital object identifier permanently identifies a digital article or document.">doi:10.1109/WPC.2005.12</a>
  </span>
  <a class="bibentry-link" href="#IWPC05"><img height="12px" width="12px" src="https://www.sosy-lab.org/images/transparent.gif" alt="Link to this entry"></a>
  <span class="additional-info">
    <span class="inline-info">
      <span class="keyword-list">Keyword(s):
        <a class="keyword" href="../Keyword/STRUCTURAL-ANALYSIS-AND-COMPREHENSION.html">Structural Analysis and Comprehension</a>
      </span>
    </span>
    <span class="link-list">
      <a class="publishers-version-link doi-link" href="https://doi.org/10.1109/WPC.2005.12" title="Link to official version of paper (may be a landing page with more information)"><img alt="" height="17px" width="17px" src="https://www.sosy-lab.org/research/pub/Icons/doi.svg">Publisher's Version</a>
      <a class="pdf-link" href="https://www.sosy-lab.org/research/pub/2005-IWPC.Clustering_Software_Artifacts_Based_on_Frequent_Common_Changes.pdf"><img alt="" height="17px" width="17px" src="https://www.sosy-lab.org/research/pub/Icons/pdf.gif">PDF</a>
      <a class="material-link" href="http://www.sosy-lab.org/~dbeyer/co-change"><img alt="" height="15px" width="15px" src="https://www.sosy-lab.org/research/pub/Icons/www.gif">Supplement</a>
    </span>
    <details  class="abstract">
      <summary>Abstract</summary>
      <div>
        Changes of software systems are less expensive and
        less error-prone if they affect only one subsystem.
        Thus, clusters of artifacts that are frequently
        changed together are subsystem candidates.  We
        introduce a two-step method for identifying such
        clusters.  First, a model of common changes of
        software artifacts, called co-change graph, is
        extracted from the version control repository of the
        software system.  Second, a layout of the co-change
        graph is computed that reveals clusters of frequently
        co-changed artifacts.  We derive requirements for such
        layouts, and introduce an energy model for producing
        layouts that fulfill these requirements.  We evaluate
        the method by applying it to three example systems,
        and comparing the resulting layouts to authoritative
        decompositions.
      </div>
    </details>
    <details  class="bibtex">
      <summary>BibTeX Entry</summary>
      <div>
        @inproceedings{IWPC05,
        author = {Dirk Beyer and Andreas Noack},
        title = {Clustering Software Artifacts Based on Frequent Common Changes},
        booktitle = {Proceedings of the 13th IEEE International Workshop on Program Comprehension (IWPC~2005, St. Louis, MO, May 15-16)},
        pages = {259-268},
        year = {2005},
        publisher = {IEEE Computer Society Press, Los Alamitos~(CA)},
        isbn = {0-7695-2254-8},
        doi = {10.1109/WPC.2005.12},
        url = {http://www.sosy-lab.org/~dbeyer/co-change},
        pdf = {https://www.sosy-lab.org/research/pub/2005-IWPC.Clustering_Software_Artifacts_Based_on_Frequent_Common_Changes.pdf},
        abstract = {Changes of software systems are less expensive and less error-prone if they affect only one subsystem. Thus, clusters of artifacts that are frequently changed together are subsystem candidates.  We introduce a two-step method for identifying such clusters.  First, a model of common changes of software artifacts, called co-change graph, is extracted from the version control repository of the software system.  Second, a layout of the co-change graph is computed that reveals clusters of frequently co-changed artifacts.  We derive requirements for such layouts, and introduce an energy model for producing layouts that fulfill these requirements.  We evaluate the method by applying it to three example systems, and comparing the resulting layouts to authoritative decompositions.},
        keyword = {Structural Analysis and Comprehension},
        annote = {Supplementary material: &lt;a href=&quot;http://www.sosy-lab.org/~dbeyer/co-change/&quot;&gt; http://www.sosy-lab.org/~dbeyer/co-change/&lt;/a&gt;},
        }
        
      </div>
    </details>
    <details open class="annote">
      <summary>Additional Infos</summary>
      <div>
        
        Supplementary material:
        <a href="http://www.sosy-lab.org/~dbeyer/co-change/">
        http://www.sosy-lab.org/~dbeyer/co-change/</a>
        
      </div>
    </details>
  </span>
</li>

<li class="bibentry" id="WWW05">
  <span class="main-info">
    <span class="author-list"><span class="author"><a href="../Author/BEYER-D.html"><span class="firstname">Dirk</span> <span class="lastname">Beyer</span></a></span>,
    <span class="author"><span class="firstname">Arindam</span> <span class="lastname">Chakrabarti</span></span>, and
    <span class="author"><span class="firstname">Thomas A.</span> <span class="lastname">Henzinger</span></span>.</span>
    <span class="publication-title">Web Service Interfaces.</span>
    <span class="howpublished">
      In <em class="booktitle">  Proceedings of the 14th ACM International
        World Wide Web Conference (WWW 2005, Chiba, May 10-14)</em>,
      <span class="pages">pages 148-159</span>,
      <span class="publication-date">  <span class="year">2005</span></span>.
    </span>
    <span class="publisher">ACM Press, New York (NY).</span>
    <a class="doi" href="https://doi.org/10.1145/1060745.1060770" data-doi="10.1145/1060745.1060770" title="The digital object identifier permanently identifies a digital article or document.">doi:10.1145/1060745.1060770</a>
  </span>
  <a class="bibentry-link" href="#WWW05"><img height="12px" width="12px" src="https://www.sosy-lab.org/images/transparent.gif" alt="Link to this entry"></a>
  <span class="additional-info">
    <span class="inline-info">
      <span class="keyword-list">Keyword(s):
        <a class="keyword" href="../Keyword/INTERFACES-FOR-COMPONENT-BASED-DESIGN.html">Interfaces for Component-Based Design</a>
      </span>
    </span>
    <span class="link-list">
      <a class="publishers-version-link doi-link" href="https://doi.org/10.1145/1060745.1060770" title="Link to official version of paper (may be a landing page with more information)"><img alt="" height="17px" width="17px" src="https://www.sosy-lab.org/research/pub/Icons/doi.svg">Publisher's Version</a>
      <a class="pdf-link" href="https://www.sosy-lab.org/research/pub/2005-WWW.Web_Service_Interfaces.pdf"><img alt="" height="17px" width="17px" src="https://www.sosy-lab.org/research/pub/Icons/pdf.gif">PDF</a>
    </span>
    <details  class="abstract">
      <summary>Abstract</summary>
      <div>
        We present a language for specifying web service
        interfaces.  A web service interface puts three kinds
        of constraints on the users of the service.  First,
        the interface specifies the methods that can be called
        by a client, together with types of input and output
        parameters; these are called signature
        constraints.  Second, the interface may specify
        propositional constraints on method calls and output
        values that may occur in a web service conversation;
        these are called consistency constraints.
        Third, the interface may specify temporal constraints
        on the ordering of method calls; these are called
        protocol constraints.  The interfaces can be used to
        check, first, if two or more web services are
        compatible, and second, if a web service A can be
        safely substituted for a web service B.  The
        algorithm for compatibility checking verifies
        that two or more interfaces fulfill each others'
        constraints.  The algorithm for substitutivity
        checking verifies that service A demands fewer and
        fulfills more constraints than service B.
      </div>
    </details>
    <details  class="bibtex">
      <summary>BibTeX Entry</summary>
      <div>
        @inproceedings{WWW05,
        author = {Dirk Beyer and Arindam Chakrabarti and Thomas A. Henzinger},
        title = {Web Service Interfaces},
        booktitle = {Proceedings of the 14th ACM International World Wide Web Conference (WWW~2005, Chiba, May 10-14)},
        pages = {148-159},
        year = {2005},
        publisher = {ACM Press, New York~(NY)},
        isbn = {1-59593-046-9},
        doi = {10.1145/1060745.1060770},
        url = {},
        pdf = {https://www.sosy-lab.org/research/pub/2005-WWW.Web_Service_Interfaces.pdf},
        abstract = {We present a language for specifying web service interfaces.  A web service interface puts three kinds of constraints on the users of the service.  First, the interface specifies the methods that can be called by a client, together with types of input and output parameters; these are called signature constraints.  Second, the interface may specify propositional constraints on method calls and output values that may occur in a web service conversation; these are called consistency constraints. Third, the interface may specify temporal constraints on the ordering of method calls; these are called protocol constraints.  The interfaces can be used to check, first, if two or more web services are compatible, and second, if a web service A can be safely substituted for a web service B.  The algorithm for compatibility checking verifies that two or more interfaces fulfill each others&#x27; constraints.  The algorithm for substitutivity checking verifies that service A demands fewer and fulfills more constraints than service B.},
        keyword = {Interfaces for Component-Based Design},
        annote = {},
        }
        
      </div>
    </details>
  </span>
</li>

<li class="bibentry" id="FASE05">
  <span class="main-info">
    <span class="author-list"><span class="author"><a href="../Author/BEYER-D.html"><span class="firstname">Dirk</span> <span class="lastname">Beyer</span></a></span>,
    <span class="author"><span class="firstname">Thomas A.</span> <span class="lastname">Henzinger</span></span>,
    <span class="author"><span class="firstname">Ranjit</span> <span class="lastname">Jhala</span></span>, and
    <span class="author"><span class="firstname">Rupak</span> <span class="lastname">Majumdar</span></span>.</span>
    <span class="publication-title">Checking Memory Safety with Blast.</span>
    <span class="howpublished">
      In <span class="editor-list"><span class="editor"><span class="firstname">M.</span> <span class="lastname">Cerioli</span></span>, editors</span>,
      <em class="booktitle">  Proceedings of the Eighth International Conference on
        Fundamental Approaches to Software Engineering (FASE 2005, Edinburgh, April 2-10)</em>,
      <span class="series">LNCS 3442</span>,
      <span class="pages">pages 2-18</span>,
      <span class="publication-date">  <span class="year">2005</span></span>.
    </span>
    <span class="publisher">Springer-Verlag, Heidelberg.</span>
    <a class="doi" href="https://doi.org/10.1007/978-3-540-31984-9_2" data-doi="10.1007/978-3-540-31984-9_2" title="The digital object identifier permanently identifies a digital article or document.">doi:10.1007/978-3-540-31984-9_2</a>
  </span>
  <a class="bibentry-link" href="#FASE05"><img height="12px" width="12px" src="https://www.sosy-lab.org/images/transparent.gif" alt="Link to this entry"></a>
  <span class="additional-info">
    <span class="inline-info">
      <span class="keyword-list">Keyword(s):
        <a class="keyword" href="../Keyword/BLAST.html">BLAST</a>,
        <a class="keyword" href="../Keyword/SOFTWARE-MODEL-CHECKING.html">Software Model Checking</a>
      </span>
    </span>
    <span class="link-list">
      <a class="publishers-version-link doi-link" href="https://doi.org/10.1007/978-3-540-31984-9_2" title="Link to official version of paper (may be a landing page with more information)"><img alt="" height="17px" width="17px" src="https://www.sosy-lab.org/research/pub/Icons/doi.svg">Publisher's Version</a>
      <a class="pdf-link" href="https://www.sosy-lab.org/research/pub/2005-FASE.Checking_Memory_Safety_with_Blast.pdf"><img alt="" height="17px" width="17px" src="https://www.sosy-lab.org/research/pub/Icons/pdf.gif">PDF</a>
    </span>
    <details  class="abstract">
      <summary>Abstract</summary>
      <div>
        BLAST is an automatic verification tool for checking
        temporal safety properties of C programs.  Given a C
        program and a temporal safety property, BLAST
        statically proves that either the program satisfies
        the safety property or the program has an execution
        trace that exhibits a violation of the property.
        BLAST constructs, explores, and refines abstractions
        of the program state space based on lazy predicate
        abstraction and interpolation-based predicate
        discovery.  We show how BLAST can be used to
        statically prove memory safety for C programs.  We
        take a two-step approach.  First, we use CCured, a
        type-based memory safety analyzer, to annotate with
        run-time checks all program points that cannot be
        proved memory safe by the type system.  Second, we use
        BLAST to remove as many of the run-time checks as
        possible (by proving that these checks never fail),
        and to generate for the remaining run-time checks
        execution traces that witness them fail.  Our
        experience shows that BLAST can remove many of the
        run-time checks added by CCured and provide useful
        information to the programmer about many of the
        remaining checks.
      </div>
    </details>
    <details  class="bibtex">
      <summary>BibTeX Entry</summary>
      <div>
        @inproceedings{FASE05,
        author = {Dirk Beyer and Thomas A. Henzinger and Ranjit Jhala and Rupak Majumdar},
        title = {Checking Memory Safety with {{\sc Blast}}},
        booktitle = {Proceedings of the Eighth International Conference on Fundamental Approaches to Software Engineering (FASE~2005, Edinburgh, April 2-10)},
        editor = {M.~Cerioli},
        pages = {2-18},
        year = {2005},
        series = {LNCS~3442},
        publisher = {Springer-Verlag, Heidelberg},
        isbn = {3-540-25420-X},
        doi = {10.1007/978-3-540-31984-9_2},
        sha256 = {8216a41d893b4e987c3a19b82a0c8be06aa7f5bc9b35ef26ab226b95aea241b3},
        url = {},
        pdf = {https://www.sosy-lab.org/research/pub/2005-FASE.Checking_Memory_Safety_with_Blast.pdf},
        abstract = {BLAST is an automatic verification tool for checking temporal safety properties of C programs.  Given a C program and a temporal safety property, BLAST statically proves that either the program satisfies the safety property or the program has an execution trace that exhibits a violation of the property. BLAST constructs, explores, and refines abstractions of the program state space based on lazy predicate abstraction and interpolation-based predicate discovery.  We show how BLAST can be used to statically prove memory safety for C programs.  We take a two-step approach.  First, we use CCured, a type-based memory safety analyzer, to annotate with run-time checks all program points that cannot be proved memory safe by the type system.  Second, we use BLAST to remove as many of the run-time checks as possible (by proving that these checks never fail), and to generate for the remaining run-time checks execution traces that witness them fail.  Our experience shows that BLAST can remove many of the run-time checks added by CCured and provide useful information to the programmer about many of the remaining checks.},
        keyword = {BLAST,Software Model Checking},
        annote = {},
        }
        
      </div>
    </details>
  </span>
</li>

<li class="bibentry" id="FIT05">
  <span class="main-info">
    <span class="author-list"><span class="author"><a href="../Author/BEYER-D.html"><span class="firstname">Dirk</span> <span class="lastname">Beyer</span></a></span>,
    <span class="author"><span class="firstname">Arindam</span> <span class="lastname">Chakrabarti</span></span>, and
    <span class="author"><span class="firstname">Thomas A.</span> <span class="lastname">Henzinger</span></span>.</span>
    <span class="publication-title">An Interface Formalism for Web Services.</span>
    <span class="howpublished">
      In <em class="booktitle">  Proceedings of the First International Workshop on
        Foundations of Interface Technologies (FIT 2005, San Francisco, CA, August 21)</em>,
      <span class="publication-date">  <span class="year">2005</span></span>.
    </span>
  </span>
  <a class="bibentry-link" href="#FIT05"><img height="12px" width="12px" src="https://www.sosy-lab.org/images/transparent.gif" alt="Link to this entry"></a>
  <span class="additional-info">
    <span class="inline-info">
      <span class="keyword-list">Keyword(s):
        <a class="keyword" href="../Keyword/INTERFACES-FOR-COMPONENT-BASED-DESIGN.html">Interfaces for Component-Based Design</a>
      </span>
    </span>
    <span class="link-list">
      <a class="pdf-link" href="https://www.sosy-lab.org/research/pub/2007-EPFL-TR002.An_Interface_Formalism_for_Web_Services.pdf"><img alt="" height="17px" width="17px" src="https://www.sosy-lab.org/research/pub/Icons/pdf.gif">PDF</a>
      <a class="material-link" href="http://infoscience.epfl.ch/search?recid=114605&ln=en"><img alt="" height="15px" width="15px" src="https://www.sosy-lab.org/research/pub/Icons/www.gif">Supplement</a>
    </span>
    <details  class="abstract">
      <summary>Abstract</summary>
      <div>
        Web application development using distributed
        components and web services presents new software
        integration challenges, because solutions often cross
        vendor, administrative, and other boundaries across
        which neither binary nor source code can be shared.
        We present a methodology that addresses this problem
        through a formalism for specifying and manipulating
        behavioral interfaces of multi-threaded open software
        components that communicate with each other through
        method calls.  An interface constrains both the
        implementation and the user of a web service to
        fulfill certain assumptions that are specified by the
        interface.  Our methodology consists of three
        increasingly expressive classes of interfaces.
        Signature interfaces specify the methods that can be
        invoked by the user, together with parameters.
        Consistency interfaces add propositional constraints,
        enhancing signature interfaces with the ability to
        specify choice and causality.  Protocol interfaces
        specify, in addition, temporal ordering constraints on
        method invocations.  We provide approaches to check if
        two or more interfaces are compatible; if a web
        service can be safely substituted for another one; and
        if a web service satisfies a specification that
        represents a desired behavioral property.
      </div>
    </details>
    <details  class="bibtex">
      <summary>BibTeX Entry</summary>
      <div>
        @inproceedings{FIT05,
        author = {Dirk Beyer and Arindam Chakrabarti and Thomas A. Henzinger},
        title = {An Interface Formalism for Web Services},
        booktitle = {Proceedings of the First International Workshop on Foundations of Interface Technologies (FIT~2005, San Francisco, CA, August 21)},
        pages = {},
        year = {2005},
        isbn = {},
        url = {http://infoscience.epfl.ch/search?recid=114605&amp;ln=en},
        pdf = {https://www.sosy-lab.org/research/pub/2007-EPFL-TR002.An_Interface_Formalism_for_Web_Services.pdf},
        abstract = {Web application development using distributed components and web services presents new software integration challenges, because solutions often cross vendor, administrative, and other boundaries across which neither binary nor source code can be shared. We present a methodology that addresses this problem through a formalism for specifying and manipulating behavioral interfaces of multi-threaded open software components that communicate with each other through method calls.  An interface constrains both the implementation and the user of a web service to fulfill certain assumptions that are specified by the interface.  Our methodology consists of three increasingly expressive classes of interfaces. Signature interfaces specify the methods that can be invoked by the user, together with parameters. Consistency interfaces add propositional constraints, enhancing signature interfaces with the ability to specify choice and causality.  Protocol interfaces specify, in addition, temporal ordering constraints on method invocations.  We provide approaches to check if two or more interfaces are compatible; if a web service can be safely substituted for another one; and if a web service satisfies a specification that represents a desired behavioral property.},
        keyword = {Interfaces for Component-Based Design},
        annote = {},
        doinone = {DOI not available},
        }
        
      </div>
    </details>
  </span>
</li>

</ol>
 <section id="disclaimer"> <h4>Disclaimer:</h4> <p class="disclaimer"> This material is presented to ensure timely dissemination of scholarly and technical work. Copyright and all rights therein are retained by authors or by other copyright holders. All person copying this information are expected to adhere to the terms and constraints invoked by each author's copyright. In most cases, these works may not be reposted without the explicit permission of the copyright holder. </p> </section> <footer id="generator">This file was generated by <a href="https://gitlab.com/sosy-lab/software/pybib2web/">pybib2web</a>, version 0.7.dev0</footer>